[arch-commits] Commit in (4 files)

Tobias Powalowski tpowa at archlinux.org
Wed Mar 17 21:45:04 CET 2010


    Date: Wednesday, March 17, 2010 @ 16:45:03
  Author: tpowa
Revision: 72518

add nilfs filesystem utils to support nilfs

Added:
  nilfs-utils/
  nilfs-utils/repos/
  nilfs-utils/trunk/
  nilfs-utils/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

Added: nilfs-utils/trunk/PKGBUILD
===================================================================
--- nilfs-utils/trunk/PKGBUILD	                        (rev 0)
+++ nilfs-utils/trunk/PKGBUILD	2010-03-17 20:45:03 UTC (rev 72518)
@@ -0,0 +1,23 @@
+# $Id$
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Geoffroy Carrier <geoffroy.carrier at koon.fr> 
+pkgname=nilfs-utils
+pkgver=2.0.17
+pkgrel=2
+pkgdesc="A log-structured file system supporting continuous snapshotting (userspace utils)"
+arch=('i686' 'x86_64')
+url="http://www.nilfs.org/"
+license=('GPL2')
+backup=('etc/nilfs_cleanerd.conf')
+depends=('e2fsprogs')
+options=(!libtool)
+source=(http://www.nilfs.org/download/$pkgname-$pkgver.tar.bz2)
+sha256sums=('1380250ab93c1fcf53df16bb9fa06d66445faec3a97a63ef35d1ce59b6442a80')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --libdir=/lib || return 1
+  make || return 1
+  make DESTDIR="$pkgdir" install LDCONFIG=/bin/true || return 1
+}


Property changes on: nilfs-utils/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list